
QGIS Application - Bug report #8659

raster image with rotated worldfiles

2013-09-24 10:13 AM - malcom jamal

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17389

Description

great work on qgis

but cannot insert raster image with rotated worldfiles 

on WGS 84 - UTM Zone 32Nord EPSG 32632

worldfile example

0.016719

201.172482

0.000000

-0.016719

677613.094651

5142519.979935

thanks

History

#1 - 2013-09-24 12:53 PM - Giovanni Manghi

- Category set to Rasters

- Target version set to Future Release - High Priority

- Operating System deleted (windows + linux)

see also #3794

#2 - 2013-09-30 11:28 PM - Antal Kosza

There is something wrong with this raster dataset:

gdalwarp -r cubic -s_srs EPSG:32632 -t_srs EPSG:32632 ped208_cr.jpg ped208_cr.tif

Creating output file that is -2147483648P x 4898L.

ERROR 1: Attempt to create -2147483648x4898 dataset is illegal,sizes must be larger than zero.

#3 - 2013-10-01 12:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2013-10-01 10:25 AM - Jukka Rahkonen
Where did you get that rotated world file? For me it looks bad.

I tried to understand how rotated world files are created and how they should be interpreted just yesterday. Have a look at this mail on OpenJUMP-dev

http://article.gmane.org/gmane.comp.gis.jump.devel/14544

There is a small OpenOffice spreadsheet as an annex. You can play with the input parameters and look how the world file changes. Please report if you

find that my logic was not correct.

#5 - 2013-10-03 02:56 AM - malcom jamal

- File qgisdufour201windows-jpg.jpg added

- File qgisdufour201windows-png.jpg added

- File qgismasteralpha-linux-jpg.jpg added

hello,

I am very sorry, I have used this vlx under Autocad 

http://www.cadstudio.cz/georefimg

to generate worldfiles

Old version jgw with

[GEOrefIMG command loaded. (C)2010, XANADU]

0.016719

201.172482

0

-0.016719

677613.094651

5142519.979935

New version jgw with 

[GEOrefIMG command loaded. (C)2013, CAD Studio - www.cadstudio.cz]

-0.01559042361

-0.00603851412

-0.00603851412

0.01559042361

677613.0754770313

5142519.993070455

with the new version jgw working very fine into Qgis.

Sorry again

malcom jamal

PS

with ped208.jpg have a problem with re-size/re-sampling/rotating problem

with the same file converted before into PNG, and imported, no problem. Importing with Master version under Linux ped208.jpg have no problem.

#6 - 2013-10-04 04:37 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

ped208_cr.jgw 74 Bytes 2013-09-24 malcom jamal

ped208_cr.jpg 1.43 MB 2013-09-24 malcom jamal

qgisdufour201windows-jpg.jpg 325 KB 2013-10-03 malcom jamal
http://article.gmane.org/gmane.comp.gis.jump.devel/14544
http://www.cadstudio.cz/georefimg
http://www.cadstudio.cz


qgisdufour201windows-png.jpg 310 KB 2013-10-03 malcom jamal

qgismasteralpha-linux-jpg.jpg 156 KB 2013-10-03 malcom jamal
